Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

USB EZ-PD™ Type-C Forum Discussions

Eason_Cho
Level 1
Level 1
10 sign-ins 5 sign-ins First solution authored

Hi,

Gatkex Creek's FW update tool for Mac was working over libusb, when customer would like to install it by manual that which version of libusb is required?

Is it possible of IFX to repackage FW update tool with libusb of of static-library? If it is possible, end customer will not need to install it by manual when customer's MacOS no libusb.

 

BR

Eason

0 Likes
5 Replies
Wang_Fred
Moderator
Moderator
Moderator
100 replies posted 10 likes received 25 solutions authored

Hi Eason,

We are checking this issue internally. Will update to you once get confirmation.

 

Thanks, Fred

0 Likes
Wang_Fred
Moderator
Moderator
Moderator
100 replies posted 10 likes received 25 solutions authored

Hi Eason,

Can you please confirm? - There would have been a tool readme which would have mentioned what minimum version of libUSB needs to be installed

Please attach the readme file in this ticket if it's there.

 

Thanks, Fred

0 Likes

Hi Fred,

I have no this tool readme on hand, could you share it to me?

BR

Eason

0 Likes
Wang_Fred
Moderator
Moderator
Moderator
100 replies posted 10 likes received 25 solutions authored

Hi Eason,

We need to know the version of tool on customer's hands.

Customer has already get a TBT4 FW Update Tool for Mac, right? It's mostly like there is a readme file existing in the tool package.

If it could not be found, can you get the tool package from customer and upload here? 

 

Thanks, Fred

0 Likes

Hi Fred,

Due to i had got TBT4 configuration tool by IFX AE, so Customer's fw package is created by me , but I did not see any tool readme about libusb at TBT4 configuration tool.

BR

Eason 

0 Likes